
Redmine - Defect #20296

Double full stops in Japanese

2015-07-12 08:11 - Masaki Nukaga

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed Affected version:  

Description

I think it's typo.

Associated revisions

Revision 14470 - 2015-07-26 18:05 - Toshi MARUYAMA

remove activerecord.messages.messages full stops in Japanese (#20296)

Revision 14471 - 2015-07-26 18:05 - Toshi MARUYAMA

replace full stops by fullwidth in Japanese (#20296)

History

#1 - 2015-07-12 08:21 - Toshi MARUYAMA

- Category changed from Issues to Translations

#2 - 2015-07-12 08:24 - Toshi MARUYAMA

- Assignee set to Go MAEDA

It is strange. But I think "empty" is wrong.

$ grep -2 -n empty ja.yml en.yml 

ja.yml-132-        confirmation: "が一致しません。" 

ja.yml-133-        accepted: "を受諾してください。" 

ja.yml:134:        empty: "を入力してください。" 

ja.yml-135-        blank: "を入力してください。" 

ja.yml-136-        too_long: "は%{count}文字以内で入力してください。" 

--

en.yml-111-        confirmation: "doesn't match confirmation" 

en.yml-112-        accepted: "must be accepted" 

en.yml:113:        empty: "cannot be empty" 

en.yml-114-        blank: "cannot be blank" 

en.yml-115-        too_long: "is too long (maximum is %{count} characters)" 

#3 - 2015-07-12 09:30 - Go MAEDA

I agree with the proposal to change notice_failed_to_save_members.

I think that changing strings derived from https://github.com/svenfuchs/rails-i18n/blob/master/rails/locale/ja.yml is not good solution, because it

increases our burden of maintenance.

#4 - 2015-07-12 10:25 - Toshi MARUYAMA

I have sent pull request.

https://github.com/svenfuchs/rails-i18n/pull/565

#5 - 2015-07-12 10:40 - Go MAEDA

- Assignee deleted (Go MAEDA)

#6 - 2015-07-12 13:51 - Toshi MARUYAMA

- Target version set to 3.2.0
#7 - 2015-07-12 13:51 - Toshi MARUYAMA

- Subject changed from FIx typo japanese translation to Double full stop in Japanese

#8 - 2015-07-12 13:52 - Toshi MARUYAMA

- Subject changed from Double full stop in Japanese to Double full stops in Japanese

#9 - 2015-07-17 18:18 - Masaki Nukaga

- File remove-fullstop.patch added

Sorry,

I created a patch which changed part only.

If you're going to adapt https://github.com/svenfuchs/rails-i18n/blob/master/rails/locale/ja.yml that full stop is removed I think had better use "。"

instead of "." in  the notice_failed_to_save_members statement.

If you need it I create a patch.

#10 - 2015-07-26 19:27 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Committed in trunk r14470 and r14471.

Files

Fix-typo-japanese-translate.patch 2.43 KB 2015-07-12 Masaki Nukaga

ubuntu-11_10__Running_.png 443 KB 2015-07-12 Masaki Nukaga

remove-fullstop.patch 1.24 KB 2015-07-17 Masaki Nukaga
